package com.sundot.airport.exam.logic.manage.model.params.sub;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * <b>功能名：</b>ExamCertRatingParam<br>
 * <b>说明：</b> 证书评级表参数 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：
 *
 * @author 2021-06-23 liangxiao
 */
public class ExamCertRatingParam {

    /**
     * 得分下限
     */
    @NotNull(message = "得分下限不能为空")
    private Integer crScoreMin;

    /**
     * 得分上限
     */
    @NotNull(message = "得分上限不能为空")
    private Integer crScoreMax;

    /**
     * 点评内容
     */
    @NotBlank(message = "点评内容不能为空")
    private String crContent;

    /**
     * 考试管理表业务主键
     */
    private String exId;

    @Override
    public String toString() {
        return "ExamCertRatingParam{" +
                "crScoreMin=" + crScoreMin +
                ", crScoreMax=" + crScoreMax +
                ", crContent='" + crContent + '\'' +
                ", exId='" + exId + '\'' +
                '}';
    }

    public Integer getCrScoreMin() {
        return crScoreMin;
    }

    public void setCrScoreMin(Integer crScoreMin) {
        this.crScoreMin = crScoreMin;
    }

    public Integer getCrScoreMax() {
        return crScoreMax;
    }

    public void setCrScoreMax(Integer crScoreMax) {
        this.crScoreMax = crScoreMax;
    }

    public String getCrContent() {
        return crContent;
    }

    public void setCrContent(String crContent) {
        this.crContent = crContent;
    }

    public String getExId() {
        return exId;
    }

    public void setExId(String exId) {
        this.exId = exId;
    }
}
